
// Instansmetoder.java

import java.util.*;

/******************************************************************************
/ Instansmetoder.java demonstrerar användning av instansmetoder i olika stan-
/ dardklasser (StringBuilder.append() / Insert())
/
/*****************************************************************************/

public class Instansmetoder
{

    public static void main(String[] args)
    {
		Scanner		in = new Scanner (System.in);
		in.useLocale (Locale.US);
		
		Integer		t;
		do
		{
				System.out.print ("Ange ett positivt heltal : ");
				t = in.nextInt ();
		} while (t < 0);
		
		StringBuilder	sb = new StringBuilder (t.toString());
		
		sb.append (" är 0x");
		sb.append (Integer.toHexString (t));
		sb.append ("\noch den binära motsvarigheten är 0b");
		sb.append (Integer.toBinaryString (t));
		sb.insert (0, "Den hexadecimala motsvarigheten till ");
		
		System.out.println();
		System.out.println (sb);
		System.out.println();
    }

}